X
Tap here to go to the mobile version of the site.

Support Forum

I have a mac osx 10.3.9 and need to download firefox version that will run on it.

Posted

I mistakenly downloaded firefox 3.6 before I realized my system wouldn't support it. Now firefox won't launch, and replaced my older firefox version in applications. Now what do I do?

I mistakenly downloaded firefox 3.6 before I realized my system wouldn't support it. Now firefox won't launch, and replaced my older firefox version in applications. Now what do I do?

Additional System Details

This started when...

today

Application

  • User Agent:

More Information

I think I need to download an older version of firefox, one that my system will accept. I don't know which version that would be.

Svetlana 75 solutions 893 answers

Chosen Solution

See here: [[Uninstalling Firefox]]
the-edmeister
  • Top 10 Contributor
  • Moderator
3882 solutions 29363 answers

Helpful Reply

Firefox 2.0.0.20 is the last ever release for Mac OSX 10.3.9 and earlier versions. Get it here:
https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/

Firefox 2.0.0.20 is the last ever release for Mac OSX 10.3.9 and earlier versions. Get it here: <br /> https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/

Question owner

Thanks very much!!!!! I'm back in business thanks to you guys!!

Thanks very much!!!!! I'm back in business thanks to you guys!!
robabank1 0 solutions 1 answers

Thanks to the-edmeister!!! This edmeister link got me back in business: https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/

Thanks to the-edmeister!!! This edmeister link got me back in business: https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/